Krellan
Enthusiast
Enthusiast

Here is patch for Workstation 6.5.2 on Linux 2.6.29 kernel

Here we go again, with VMware Workstation 6.5.2 (including VMware Player 2.5.2).

Here is a patch to get their modules to cleanly build on Linux kernel version 2.6.29.

It's a followup from this earlier thread, that was for the earlier 6.5.1 version:

http://communities.vmware.com//thread/202340

The changes between 6.5.1 and 6.5.2 are minimal. VMware, thankfully, no longer attempts to re-define the APIC_BASE_MSR symbol, making one part of the patch no longer necessary on 2.6.29, so it has been removed. That was what was causing the earlier error: the patch was attempting to patch something that no longer existed in the code.

Here's the new 6.5.2 patch, and a shellscript to help you apply it, attached.

Make sure your /usr/lib/vmware/modules/source directory is pristine. Reinstall 6.5.2 if you have to, in order to return this directory to its unchanged settings, if you had trouble applying the patch earlier.

Use the bash command to run the script:

bash ./vmware-6.5.2-modules-2.6.29-fix.sh

It should now apply cleanly, and there should be no errors.

Hope this helps!

Josh

0 Kudos
90 Replies
avigator
Contributor
Contributor

yeah, this is real great jobs, it's worked perfect and without any fail or error.

==============================================

$ patch -N -p1 < vmware-6.5.2-modules-2.6.29-fix.patch

patching file vmblock-only/Makefile

patching file vmci-only/Makefile

patching file vmmon-only/include/x86apic.h

patching file vmmon-only/linux/driver.c

patching file vmmon-only/linux/hostif.c

patching file vmmon-only/Makefile

patching file vmnet-only/Makefile

patching file vmnet-only/netif.c

patching file vsock-only/Makefile

===============================================

0 Kudos
apkarako
Contributor
Contributor

Thank you a lot, works great....

0 Kudos
kennycrudup
Contributor
Contributor

Thanks for this- it's unfortunate it's necessary, considering 2.6.29 came out a week before the 6.5.2/156735 release.

0 Kudos
h2-2
Contributor
Contributor

Patches for 2.5.2 tested and working perfectly on vmplayer 2.5.2, 2.6.29 kernel, 32 and 64 bit.

Thanks a lot for your efforts on this, much appreciated.

0 Kudos
gallienus
Contributor
Contributor

I was hoping someone had made a patch for 2.6.29. One question, this patch only affects the vmware kernel modules right? I doesn't actually affect the kernel or the kernel modules that came with my distros?

0 Kudos
phocean
Contributor
Contributor

Thank you very much, nice job that works perfectly !

0 Kudos
Krellan
Enthusiast
Enthusiast

Yes, the patch only affects VMware's kernel modules on the host, which are in this directory:

/usr/lib/vmware/modules

It shouldn't affect your distro's kernel or your distro's modules at all.

Josh

0 Kudos
eleventh-hour
Contributor
Contributor

Thanks for all your work Josh. Worked like a charm on slackware with kernel 2.6.29.1 and workstation 6.5.2.

--Troy

0 Kudos
gallienus
Contributor
Contributor

Worked great in sabayon 4.1 with a 2.6.29 kernel. Now all I need to do is figure out how to make the modules persistant, but that's for another thread.

0 Kudos
Andreas_Johanss
Contributor
Contributor

Thanks for the nicely written patch and clear instruction. One question though, in what way does the ".../modules/binary" directory confuse VMware? (I haven't moved/renamed it in my installation and it works perfectly)

Kind Regards

Andreas

0 Kudos
Stumpy842
Contributor
Contributor

Hi folks, first let me apologize for posting about VMware Tools in the Workstation thread, but I don't see a separate area for Tools, and I modified Krellan's work to use it to install VMware Tools-7.7.5-156745 in the guest OS running kernel 2.6.29. If there is a better area to post this please let me know.

You can get the patch files & script here

Thanks to Krellan and the others for their prior work!

0 Kudos
sxxe
Contributor
Contributor

Thank you very much for this patch, i use it on archlinux and it works great.

Keep up the good work.

bye

0 Kudos
Krellan
Enthusiast
Enthusiast

You're welcome!

Interesting. I haven't yet tried to run Linux 2.6.29 as guest, only as host. (The reason I upgraded to 2.6.29 is to get better hardware support for my motherboard's sensors, which are a moot point in a virtual machine.)

Glad to know the patch (with some modifications) also works as guest.

Josh

0 Kudos
Krellan
Enthusiast
Enthusiast

As for the modules/binary directory confusing VMware and thus needing to be moved out of the way, this fix might not be needed anymore.

I originally saw it in some older instructions (I forget where), and it seemed like a good idea to follow, at the time. I think there might have been a problem with VMware not doing a full rebuild from source if it found a "supported" kernel version inside of the modules/binary directory, and thus missing some changes that were made in some patches.

At any rate, if it worked successfully for you without needing to move the modules/binary directory out of the way, that's perfectly fine.

Josh

0 Kudos
Stumpy842
Contributor
Contributor

Thanks for your comments Krellan, I appreciate it. I hacked up your installer script pretty good so it works without needing to be root, you just place the vmware-tools-distrib folder and the patches and installer script in the same folder and run. I added some extra diffs for a couple of minor things but most changes to the patch are for the vmhgfs module which of course is not in the host. I need to go back and look to see who I borrowed the vmware-config-tools.pl patch from so I can give credit to them as well, I found it on the Ubuntu forums somewhere a while back. I hope this proves useful for anyone who wants the tools in their guest OS!

0 Kudos
genomind
Contributor
Contributor

I have no installation of Vmware on my laptop (Ubuntu, kernel : 2.6.29-020629-generic) and I don't know how or when I must apply the patch.

If nobody knows I guess I have to wait for the next version of VMware ...

0 Kudos
WalterKasberg
Contributor
Contributor

Thanks, it worked for Mandriva 2009.1 rc2

Walter

0 Kudos
martyfelker
Enthusiast
Enthusiast

Thank you so much for this patch. Worked perfectly on Debian 2.6.29 host!

Marty Felker

Marty Felker
0 Kudos
fw114
Contributor
Contributor

hi all,

i appreciate everybodys work here, but i would expect that vmware come up with such patches....

as i can see also nvidia has new drivers for their boardsand kernel 2.6.29 ...

do the paying support customer have a patch ?

regards

0 Kudos